--- title: "REST API call to get Item (Trellix DLP Discover)" slug: "rest-api-call-to-get-item-trellix-dlp-discover-1" tags: ["Product Usage", "DLP 11.14.x"] updated: 2026-09-01T07:29:53Z published: 2026-09-01T07:29:53Z canonical: "docs.trellix.com/rest-api-call-to-get-item-trellix-dlp-discover-1" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # REST API call to get Item (Trellix DLP Discover) Use this REST API call to get Item Ids that returns the universally unique identifier (UUID) of a Discover definition item, using this universally unique identifier (UUID) you can get the details of the item. ### GET request URL `https://<epo_server_name:port>/rest/dlp/discover/item/?itemId=<item Id>` Where - `epo_server_name` port is the server IP address and port number. - ItemId is UUID for an item ### Request Parameters | Parameter name | Description | Required | Values | | --- | --- | --- | --- | | **Authorization** | User credentials for ePO - On-prem. | Required | | | **itemId** | UUID of an item | Required | String | **Sample GET request URL** `https://172.27.108.53:8443/rest/dlp/discover/item/?itemId=96F735F8-8366-439D-B296-769CC8D6B255` **Sample cURL command** `curl -k -v -X GET 'https://172.27.108.53:8443/rest/dlp/discover/item/?itemId=96F735F8-8366-439D-B296-769CC8D6B255' -u '<user>:<password>'` ### Sample response ``` { "catalogType": "Credentials", "catalogId": "d3ab4ed4-efab-48d2-840d-714cbf76b888", "name": "Credentials_Tree", "UID": "96f735f8-8366-439d-b296-769cc8d6b255", "domain": "CIFS", "username": "Administrator", "password": "*****", "useSsl": "null" } ``` ### Status and error codes List of HTTP status codes returned for the query. | Code | Description | | --- | --- | | **200 OK** | Successfully received Item object in request. | | **400 Bad Request** | Returns a bad request if the value of itemId is invalid. | | **404 Not Found** | Incorrect ePO - On-prem URL. | | **500 Internal Server Error** | An error on the server side that failed the request. See the ePO - On-prem `orion.log` file for more details about the error. |